<div class="container">
    <div class="row" [hidden]="submitted">
        <div class="col-md-8 mx-auto">
            <div class="card">
                <div class="card-header">
                    <h3>Angular Template Driven Form</h3>
                </div>
                <div class="card-body">
                    <form (ngSubmit)="onSubmit()" #heroForm="ngForm">
                        <div class="form-group">
                            <label for="name">Name</label>
                            <input type="text" class="form-control" id="name" required [(ngModel)]="model.name"
                                name="name" #name="ngModel">
                            <div [hidden]="name.valid || name.pristine" class="alert alert-danger">
                                Name is required
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="alterEgo">Alter Ego</label>
                            <input type="text" class="form-control" id="alterEgo" [(ngModel)]="model.alterEgo"
                                name="alterEgo">
                        </div>

                        <div class="form-group">
                            <label for="power">Hero Power</label>
                            <select class="form-control" id="power" required [(ngModel)]="model.power" name="power"
                                #power="ngModel">
                                <option *ngFor="let pow of powers" [value]="pow">{{pow}}</option>
                            </select>
                            <div [hidden]="power.valid || power.pristine" class="alert alert-danger">
                                Power is required
                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary" [disabled]="!heroForm.form.valid">Submit</button>
                        <button type="button" class="btn btn-success" (click)="newHero(); heroForm.reset()">New Hero</button>
                        <i>with</i> reset

                        &nbsp;&nbsp;
                        <button type="button" class="btn btn-success" (click)="newHero()">New Hero</button>
                        <i>without</i> reset

                        <div>
                            <hr>
                            Name via form.controls = {{showFormControls(heroForm)}}
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<div [hidden]="!submitted">
    <h2>You submitted the following: </h2>
    <div class="row">
        <div class="col-lg-2">Name</div>
        <div class="col-lg-10">{{ model.name }}</div>
    </div>
    <div class="row">
        <div class="col-lg-2">Alter Ego</div>
        <div class="col-lg-10">{{ model.alterEgo }}</div>
    </div>
    <div class="row">
        <div class="col-lg-2">Power</div>
        <div class="col-lg-10">{{ model.power }}</div>
    </div>
    <br>
    <button class="btn btn-primary" (click)="submitted=false">Edit</button>
</div>